curl -X GET \
'https://api.appcharge.com/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&limit=100&sortDirection=asc' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 245,
"nextCursor": "eyJpZCI6IjY0YzkidQ==",
"nextPageQuery": "?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&limit=100&sortDirection=asc&cursor=eyJpZCI6IjY0YzkidQ==",
"results": [
{
"orderId": "ac_order_98f3pb4",
"purchaseId": "pr-1234-5678-9012-34567",
"publisherTransactionId": "ca-9832-custom",
"timestamp": "2025-05-26T14:30:00.000Z",
"customerDetails": {
"id": "jane-doe",
"email": "jan.doe@example.com"
},
"geolocation": {
"countryCode2": "US",
"region": "CA",
"ipAddress": "192.168.1.10",
"zipCode": "94107"
},
"offerDetails": {
"offerId": "offer_7890",
"offerName": "Gem Pack",
"type": "Bundle",
"products": [
{
"name": "Gems",
"sku": "gems_100",
"quantity": 100
}
]
},
"transactionDetails": {
"id": "64c9f6a12e1b4a3d9c7a5f1ef",
"type": "paid",
"amount": 999,
"amountUsd": 999,
"totalTaxAmount": 90,
"totalTaxAmountUsd": 90,
"currencyExchangeCostUsd": 15,
"chargebackFeeUsd": 0,
"transactionFeeUsd": 35,
"publisherNetAmountUsd": 859,
"currencyCode": "USD",
"currencySymbol": "$",
"paymentMethod": "credit_card"
}
},
{
"orderId": "6981ddaac658821c7960ca0b",
"purchaseId": "pr_9a9aaea0318d409ebb9afdc37df37a62",
"publisherTransactionId": "123456789012",
"timestamp": "2026-02-03T11:41:42.155Z",
"customerDetails": {
"id": "jim-jardashian",
"email": "jim.jardashian@example.com"
},
"geolocation": {
"countryCode2": "US",
"region": "NY",
"ipAddress": "192.168.1.11",
"zipCode": "10025"
},
"offerDetails": {
"offerId": "692ed6a00dffce88151a9575",
"offerName": "Treasure Pack",
"type": "Bundle",
"products": [
{
"name": "Coins",
"sku": "coins_555",
"quantity": 55
}
]
},
"transactionDetails": {
"id": "6981def652cf42968c4ba2d3c",
"type": "refund",
"amount": -500,
"amountUsd": -500,
"totalTaxAmount": -76,
"totalTaxAmountUsd": -76,
"currencyExchangeCostUsd": 0,
"chargebackFeeUsd": 0,
"transactionFeeUsd": 55,
"publisherNetAmountUsd": -424,
"currencyCode": "USD",
"currencySymbol": "$",
"paymentMethod": "Credit Card"
}
}
]
}
{
"statusCode": 400,
"error": "Bad Request",
"message": [
{
"validationErrorNumber": 1,
"error": "endDate must be after startDate"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-07-24T00:00:00Z&endDate=2025-05-26T23:59:59Z"
}
{
"statusCode": 400,
"error": "Bad Request",
"message": [
{
"validationErrorNumber": 1,
"error": "sortDirection must be either \"asc\" or \"desc\""
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&sortDirection=invalid"
}
{
"statusCode": 401,
"error": "Unauthorized",
"message": [
{
"validationErrorNumber": 1,
"error": "Publisher token is required"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
{
"statusCode": 401,
"error": "Unauthorized",
"message": [
{
"validationErrorNumber": 1,
"error": "Publisher not found"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
{
"statusCode": 500,
"error": "Internal Server Error",
"message": [
{
"validationErrorNumber": 1,
"error": "Failed to get transactions"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
Get Transactions
Retrieves transaction data for a given time period.
curl -X GET \
'https://api.appcharge.com/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&limit=100&sortDirection=asc' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 245,
"nextCursor": "eyJpZCI6IjY0YzkidQ==",
"nextPageQuery": "?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&limit=100&sortDirection=asc&cursor=eyJpZCI6IjY0YzkidQ==",
"results": [
{
"orderId": "ac_order_98f3pb4",
"purchaseId": "pr-1234-5678-9012-34567",
"publisherTransactionId": "ca-9832-custom",
"timestamp": "2025-05-26T14:30:00.000Z",
"customerDetails": {
"id": "jane-doe",
"email": "jan.doe@example.com"
},
"geolocation": {
"countryCode2": "US",
"region": "CA",
"ipAddress": "192.168.1.10",
"zipCode": "94107"
},
"offerDetails": {
"offerId": "offer_7890",
"offerName": "Gem Pack",
"type": "Bundle",
"products": [
{
"name": "Gems",
"sku": "gems_100",
"quantity": 100
}
]
},
"transactionDetails": {
"id": "64c9f6a12e1b4a3d9c7a5f1ef",
"type": "paid",
"amount": 999,
"amountUsd": 999,
"totalTaxAmount": 90,
"totalTaxAmountUsd": 90,
"currencyExchangeCostUsd": 15,
"chargebackFeeUsd": 0,
"transactionFeeUsd": 35,
"publisherNetAmountUsd": 859,
"currencyCode": "USD",
"currencySymbol": "$",
"paymentMethod": "credit_card"
}
},
{
"orderId": "6981ddaac658821c7960ca0b",
"purchaseId": "pr_9a9aaea0318d409ebb9afdc37df37a62",
"publisherTransactionId": "123456789012",
"timestamp": "2026-02-03T11:41:42.155Z",
"customerDetails": {
"id": "jim-jardashian",
"email": "jim.jardashian@example.com"
},
"geolocation": {
"countryCode2": "US",
"region": "NY",
"ipAddress": "192.168.1.11",
"zipCode": "10025"
},
"offerDetails": {
"offerId": "692ed6a00dffce88151a9575",
"offerName": "Treasure Pack",
"type": "Bundle",
"products": [
{
"name": "Coins",
"sku": "coins_555",
"quantity": 55
}
]
},
"transactionDetails": {
"id": "6981def652cf42968c4ba2d3c",
"type": "refund",
"amount": -500,
"amountUsd": -500,
"totalTaxAmount": -76,
"totalTaxAmountUsd": -76,
"currencyExchangeCostUsd": 0,
"chargebackFeeUsd": 0,
"transactionFeeUsd": 55,
"publisherNetAmountUsd": -424,
"currencyCode": "USD",
"currencySymbol": "$",
"paymentMethod": "Credit Card"
}
}
]
}
{
"statusCode": 400,
"error": "Bad Request",
"message": [
{
"validationErrorNumber": 1,
"error": "endDate must be after startDate"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-07-24T00:00:00Z&endDate=2025-05-26T23:59:59Z"
}
{
"statusCode": 400,
"error": "Bad Request",
"message": [
{
"validationErrorNumber": 1,
"error": "sortDirection must be either \"asc\" or \"desc\""
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&sortDirection=invalid"
}
{
"statusCode": 401,
"error": "Unauthorized",
"message": [
{
"validationErrorNumber": 1,
"error": "Publisher token is required"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
{
"statusCode": 401,
"error": "Unauthorized",
"message": [
{
"validationErrorNumber": 1,
"error": "Publisher not found"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
{
"statusCode": 500,
"error": "Internal Server Error",
"message": [
{
"validationErrorNumber": 1,
"error": "Failed to get transactions"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
curl -X GET \
'https://api.appcharge.com/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&limit=100&sortDirection=asc' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 245,
"nextCursor": "eyJpZCI6IjY0YzkidQ==",
"nextPageQuery": "?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&limit=100&sortDirection=asc&cursor=eyJpZCI6IjY0YzkidQ==",
"results": [
{
"orderId": "ac_order_98f3pb4",
"purchaseId": "pr-1234-5678-9012-34567",
"publisherTransactionId": "ca-9832-custom",
"timestamp": "2025-05-26T14:30:00.000Z",
"customerDetails": {
"id": "jane-doe",
"email": "jan.doe@example.com"
},
"geolocation": {
"countryCode2": "US",
"region": "CA",
"ipAddress": "192.168.1.10",
"zipCode": "94107"
},
"offerDetails": {
"offerId": "offer_7890",
"offerName": "Gem Pack",
"type": "Bundle",
"products": [
{
"name": "Gems",
"sku": "gems_100",
"quantity": 100
}
]
},
"transactionDetails": {
"id": "64c9f6a12e1b4a3d9c7a5f1ef",
"type": "paid",
"amount": 999,
"amountUsd": 999,
"totalTaxAmount": 90,
"totalTaxAmountUsd": 90,
"currencyExchangeCostUsd": 15,
"chargebackFeeUsd": 0,
"transactionFeeUsd": 35,
"publisherNetAmountUsd": 859,
"currencyCode": "USD",
"currencySymbol": "$",
"paymentMethod": "credit_card"
}
},
{
"orderId": "6981ddaac658821c7960ca0b",
"purchaseId": "pr_9a9aaea0318d409ebb9afdc37df37a62",
"publisherTransactionId": "123456789012",
"timestamp": "2026-02-03T11:41:42.155Z",
"customerDetails": {
"id": "jim-jardashian",
"email": "jim.jardashian@example.com"
},
"geolocation": {
"countryCode2": "US",
"region": "NY",
"ipAddress": "192.168.1.11",
"zipCode": "10025"
},
"offerDetails": {
"offerId": "692ed6a00dffce88151a9575",
"offerName": "Treasure Pack",
"type": "Bundle",
"products": [
{
"name": "Coins",
"sku": "coins_555",
"quantity": 55
}
]
},
"transactionDetails": {
"id": "6981def652cf42968c4ba2d3c",
"type": "refund",
"amount": -500,
"amountUsd": -500,
"totalTaxAmount": -76,
"totalTaxAmountUsd": -76,
"currencyExchangeCostUsd": 0,
"chargebackFeeUsd": 0,
"transactionFeeUsd": 55,
"publisherNetAmountUsd": -424,
"currencyCode": "USD",
"currencySymbol": "$",
"paymentMethod": "Credit Card"
}
}
]
}
{
"statusCode": 400,
"error": "Bad Request",
"message": [
{
"validationErrorNumber": 1,
"error": "endDate must be after startDate"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-07-24T00:00:00Z&endDate=2025-05-26T23:59:59Z"
}
{
"statusCode": 400,
"error": "Bad Request",
"message": [
{
"validationErrorNumber": 1,
"error": "sortDirection must be either \"asc\" or \"desc\""
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&sortDirection=invalid"
}
{
"statusCode": 401,
"error": "Unauthorized",
"message": [
{
"validationErrorNumber": 1,
"error": "Publisher token is required"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
{
"statusCode": 401,
"error": "Unauthorized",
"message": [
{
"validationErrorNumber": 1,
"error": "Publisher not found"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
{
"statusCode": 500,
"error": "Internal Server Error",
"message": [
{
"validationErrorNumber": 1,
"error": "Failed to get transactions"
}
],
"requestUrl": "/reporting/financial-data/transactions?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z"
}
Headers
Publisher token.
Query Parameters
Start date of the query in UTC ISO 8601 format.
"2025-05-26T00:00:00Z"
End date of the query in UTC ISO 8601 format.
"2025-07-24T23:59:59Z"
Maximum number of transactions to return per page.
Min: 1 Max: 10,000
Sort order of the results based on the timestamp field.
asc, desc Response
Successfully retrieved transactions.
Total number of transactions matching the query.
"245"
Cursor pointing to the next page of results.
"eyJpZCI6IjY0YzkidQ=="
Fully-formed query string for fetching the next page of results.
"?startDate=2025-05-26T00:00:00Z&endDate=2025-07-24T23:59:59Z&limit=100&sortDirection=asc&cursor=eyJpZCI6IjY0YzkidQ=="
List of transaction results returned by the query.
Show child attributes
Show child attributes
Was this page helpful?
